{- Copyright (c) 2011 Robert Henderson
This source file is distributed under the terms of a BSD3-style
license, which can be found in the file LICENSE at the root of
this package. -}

-- | Extends "Data.Bool"
--
module Data.Bool.Rosso1
    (module Data.Bool

    ,xor

    ) where

------------------------------------------------------
import Data.Bool


-- | Exclusive OR.
xor :: Bool -> Bool -> Bool
xor = (/=)


------------------------------------------------------
{- UNIT TESTS

*Rosso.Bool1> xor False False
False
*Rosso.Bool1> xor False True
True
*Rosso.Bool1> xor True False
True
*Rosso.Bool1> xor True True
False

-}
